View Issue Details

IDProjectCategoryView StatusLast Update
0003425PartDesignBugpublic2019-06-17 07:54
Reporternikisteen Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status confirmedResolutionopen 
OSWindowsOS Version10 
Product Version0.17 
Summary0003425: Boolean operation in PDN fails depending on placement of one of the parts
DescriptionWhen creating a boolean fuse between a cylinder and sphere (as shown in the attached project), the sphere disappear when its placement is adjusted to certain values, although the sphere still intersects the cylinder.
Steps To ReproduceIn the attached project, adjust the Y-axis placement of the sphere to 8mm. The sphere will be offset as expected. Now adjust the Y-axis placement to 9mm and the sphere disappears.
Additional InformationRefer to forum thread

Freecad version information:
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13488 (Git)
Build type: Release
Branch: master
Hash: 2891173923bcecaace64e0544f5773facbdef436
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/SouthAfrica (en_ZA)

It was also confirmed to occur on the newest stable release (0.17.13509) - see forum thread.
Tagsboolean, OCC 7.4, OCC Bug, OCC NotOnRoadmap, Part Design NEXT, upstream
FreeCAD Information

Activities

nikisteen

2018-04-09 22:07

reporter  

BoolTest.FCStd (16,453 bytes)
8mm_offset.PNG (53,838 bytes)   
8mm_offset.PNG (53,838 bytes)   
9mm_offset.PNG (34,988 bytes)   
9mm_offset.PNG (34,988 bytes)   

Kunda1

2018-06-07 16:57

administrator   ~0011362

@wmayer
@DeepSOIC thinks this is a OCC bug. Please weigh in. Thanks!

wmayer

2018-09-26 09:35

administrator   ~0011849

Seems to be related to a different behaviour between OCC 7.2 and older versions. With 7.2 I can confirm the behaviour but with 7.0 it works as expected.

Kunda1

2018-09-26 13:24

administrator   ~0011852

@wmayer what about OCC 7.3?

wmayer

2019-02-20 15:44

administrator   ~0012705

There is a different behaviour in 7.2. For some reason the fusion of the sphere with the fused cylinder and box creates a compound with two solids.


cyl=App.ActiveDocument.Cylinder.Shape
sphere=App.ActiveDocument.Body002.Shape
cube=App.ActiveDocument.Body001.Shape
fuse=cyl.fuse(cube)
fuse.Solids
# shows one solid
fuse=fuse.fuse(sphere)
fuse.Solids
# shows two solids => error

If the y value of the placement of the sphere is <= 8 then the second fusion correctly creates a single solid.

normandc

2019-02-24 15:45

manager   ~0012743

Same issue with OCC 7.3.

OS: Ubuntu 18.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15972 (Git)
Build type: Release
Branch: master
Hash: 4e973324ae03c6db9188c08483232fa059c1c9ae
Python version: 3.6.7
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/Canada (fr_CA)

Kunda1

2019-06-17 07:54

administrator   ~0013236

Added to "OCC Bugs in the Bugtracker" thread

Issue History

Date Modified Username Field Change
2018-04-09 22:07 nikisteen New Issue
2018-04-09 22:07 nikisteen File Added: BoolTest.FCStd
2018-04-09 22:07 nikisteen File Added: 8mm_offset.PNG
2018-04-09 22:07 nikisteen File Added: 9mm_offset.PNG
2018-04-09 22:07 nikisteen Tag Attached: boolean
2018-04-09 22:07 nikisteen Tag Attached: Part Design NEXT
2018-06-07 16:57 Kunda1 Note Added: 0011362
2018-06-07 16:57 Kunda1 Status new => confirmed
2018-09-26 09:35 wmayer Note Added: 0011849
2018-09-26 13:23 Kunda1 Tag Attached: OCC Bug
2018-09-26 13:23 Kunda1 Tag Attached: upstream
2018-09-26 13:24 Kunda1 Note Added: 0011852
2019-02-20 15:44 wmayer Note Added: 0012705
2019-02-24 15:45 normandc Note Added: 0012743
2019-02-25 12:44 Kunda1 Tag Attached: OCC NotOnRoadmap
2019-06-17 07:51 Kunda1 Tag Attached: OCC 7.4
2019-06-17 07:54 Kunda1 Note Added: 0013236